
Pre-Development - Bug #19604

FE - React - set pageNumber back 1 after click on search button

29 January 2024 03:00 PM - chok yee fan

Status: Closed Start date: 29 January 2024

Priority: Normal Due date: 30 January 2024

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

issue

----

click search -> change pageNumber from 1 to 2 -> change search criteria -> pageNumber remain 2.

expected

----

click search -> change pageNumber from 1 to 2 -> change search criteria -> pageNumber remain 1.

i have committed the code for MlebFunctionSearch.tsx. if u tested no problem, apply for all.

History

#1 - 29 January 2024 03:01 PM - chok yee fan

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/2a4e355c108914a6546a5e22dc36826fe41c45b8

#2 - 29 January 2024 05:02 PM - Hazimi Muhammad

- Status changed from New to Resolved

- Assignee changed from Hazimi Muhammad to chok yee fan

Hazimi - Bug #19604 - FE - React - Set pageNumber back 1 after click on search button - Fix the pagenumber remain 1 for all module.

~/Documents/React/mleb-iam/cc_iam/src/pages

business-constitution

BusinessConstitutionSearch.tsx

country

CountrySearch.tsx

email-config

EmailConfigSearch.tsx

message-template

MsgTemplateSearch.tsx

mleb-system

MlebSystemSearch.tsx

organization-profile

department-tab

DepartmentSearch.tsx

OrganisationProfileSearch.tsx

user-category

UserCategorySearch.tsx

user-profile

UserProfileSearch.tsx

user-role

UserRoleSearch.tsx
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/2a4e355c108914a6546a5e22dc36826fe41c45b8
https://dev.silverlakemobility.com/redmine/issues/19604


#3 - 05 February 2024 03:09 PM - chok yee fan

- Status changed from Resolved to Closed

just check the code, all implemented

Files
